#login-form {
    container-name: form-container;
    container-type: inline-size;

    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;

    padding-inline: 20px;
    padding-block: 15px;

    width: min(20rem, 75vw);

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    background-color: rgba(73, 123, 137, 0.482);

    border-color: rgb(168, 209, 241);
    border-width: 5px;
    border-style: solid;
    border-radius: 10px;
}

@container form-container {
    #login-title {
        text-align: center;
    }

    #submit-button {
        width: min(10rem, 45cqw);
    }
}